CREATE TABLE IF NOT EXISTS  `ims_meal`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '套餐名称',
  `meal_number` int(11) NULL DEFAULT 0 COMMENT '次数',
  `addon_id` int(11) NOT NULL COMMENT '应用ID',
  `sort` int(11) NULL DEFAULT 0 COMMENT '排序',
  `pic` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '套餐图片',
  `price` decimal(10, 2) NULL COMMENT '套餐价格',
   `renew_price` decimal(10, 2) NULL COMMENT '功能套餐续费价格',
  `type` int(1) NULL DEFAULT 1 COMMENT '1功能套餐,2空间套餐',
  `timespan` int(11) NOT NULL DEFAULT 0 COMMENT '功能套餐试用时长/单位天',
  `istrial` int(11) NOT NULL DEFAULT 0 COMMENT '是否为试用套餐，1是，0否',
  `trial_price` decimal(10, 2) NULL COMMENT '功能套餐试用价格',
  `def_space` decimal(10, 2) DEFAULT 1 COMMENT '空间套餐默认空间,0表示无限制',
  `role_id` int(11) NULL DEFAULT NULL,
  `meal_spec_id` int(11) NOT NULL COMMENT '套餐时间规格id',
  `status` tinyint(1) NULL DEFAULT 1 COMMENT '状态：0/禁用 1/启用 ',
  `extend_module_ids` text COMMENT '扩展权限id' ,
  `module_ids` text COMMENT '权限id',
  `staff_type` int(11) NOT NULL DEFAULT 0 COMMENT '0不限制员工数量，1限制员工数量',
  `staff_num` int(11) NOT NULL DEFAULT 0 COMMENT '员工数量',
  `create_time` int(11) NOT NULL COMMENT '创建时间',
  `delete_time` int(11) NOT NULL DEFAULT 0 COMMENT '删除时间',
  `update_time` int(11) NOT NULL DEFAULT 0 COMMENT '更新时间',
  `mid` int(11) NOT NULL COMMENT '功能套餐ID',
  `level` int(11) NOT NULL COMMENT '级别id',
  `meal_desc` varchar(1500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '套餐功能简介',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '功能套餐表' ROW_FORMAT = Dynamic;
CREATE TABLE IF NOT EXISTS  `ims_addons_time`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `addon_id` int(11) NOT NULL COMMENT '应用ID',
  `time_span` int(11) NOT NULL DEFAULT 0 COMMENT '应用时长',
  `time_unit` int(11) NOT NULL DEFAULT 1 COMMENT '时长单位 1为年',
  `create_time` int(11) NOT NULL COMMENT '创建时间',
  `type` int(1) NULL DEFAULT 1 COMMENT '1功能套餐,2空间套餐',
  `update_time` int(11) NOT NULL DEFAULT 0 COMMENT '更新时间',
  `delete_time` int(11) NOT NULL DEFAULT 0 COMMENT '删除时间',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '应用时长关联表表' ROW_FORMAT = Dynamic;
CREATE TABLE IF NOT EXISTS `ims_account` (
  `acid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) unsigned NOT NULL,
  `hash` varchar(8) NOT NULL,
  `type` tinyint(3) unsigned NOT NULL,
  `isconnect` tinyint(4) NOT NULL,
  `isdeleted` tinyint(3) unsigned NOT NULL,
  `endtime` int(10) unsigned NOT NULL,
  PRIMARY KEY (`acid`),
  KEY `idx_uniacid` (`uniacid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
CREATE TABLE IF NOT EXISTS  `ims_account_wechats`  (
  `acid` int(10) UNSIGNED NOT NULL,
  `uniacid` int(10) UNSIGNED NOT NULL,
  `token` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `encodingaeskey` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `level` tinyint(4) UNSIGNED NOT NULL,
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `account` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `original` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `signature` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `country` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `province` varchar(3) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `city` varchar(15) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `username` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `password` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `lastupdate` int(10) UNSIGNED NOT NULL,
  `key` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `secret` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `styleid` int(10) UNSIGNED NOT NULL,
  `subscribeurl` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `auth_refresh_token` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY USING BTREE (`acid`),
  INDEX `idx_key` USING BTREE(`key`)
) ENGINE = MyISAM CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '应用公众号配置相关表兼容老数据' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_account_wxapp`  (
  `uniacid` int(10) NOT NULL AUTO_INCREMENT,
  `addons` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '使用的模块',
  `aid` int(11) NULL DEFAULT 0 COMMENT '代理商模块id',
  `addons_id` int(11) NOT NULL COMMENT '应用ID',
  `version` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '应用版本号',
  `token` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `encodingaeskey` varchar(43) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `uid` int(11) NOT NULL,
  `original` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `key` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `secret` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '应用名称',
  `description` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '应用介绍',
  `icon` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '应用图标',
  `appdomain` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
   `status` tinyint(1) NULL DEFAULT 1 COMMENT '状态：1正常 2回收站 3删除',
  INDEX `uniacid` USING BTREE(`uniacid`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户创建应用表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_addons`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `addons` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `addons_id` int(11) NOT NULL,
  `icon` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `content` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '应用描述',
  `contrast_content` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '功能对比',
  `create_time` int(11) NOT NULL,
  `status` int(11) NOT NULL COMMENT '应用状态 0正常 1卸载',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统安装应用表\r\n' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_addons_cost_price`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增',
  `addon_id` int(11) NULL DEFAULT 0 COMMENT '应用id',
  `meal_id` int(11) NULL DEFAULT NULL COMMENT '套餐表id',
  `agent_level_id` int(11) NULL DEFAULT NULL COMMENT '代理商级别',
  `price` decimal(10, 2) NULL COMMENT '成本价',
  `create_time` int(11) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` int(11) NULL DEFAULT NULL COMMENT '修改时间',
  `delete_time` int(11) NULL DEFAULT 0 COMMENT '删除时间',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '应用套餐成本价格表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_addons_files`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `addons_id` int(11) NOT NULL,
  `addons` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `version` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `path` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `md5` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `action` int(11) NOT NULL COMMENT '工作 1 新增 2 删除',
  `status` int(11) NOT NULL COMMENT '动作状态 0 未执行 1 执行成功 2 执行失败',
  `create_time` int(11) NOT NULL COMMENT '文件创建时间',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统应用文件表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_addons_update`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `addons_id` int(11) NOT NULL,
  `addons` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `version` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `file_count` int(11) NOT NULL COMMENT '文件总数',
  `create_time` int(11) NOT NULL,
  `status` int(11) NOT NULL COMMENT '插件状态 0老版本 1 当前使用 2 更新中',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统应用设计记录表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_admin_module`  (
  `module_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '模块id',
  `module_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模块名',
  `controller` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '控制器',
  `method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '方法名称',
  `pid` int(11) NOT NULL DEFAULT 0 COMMENT '上级名称 0为顶级',
  `level` int(11) NOT NULL DEFAULT 1 COMMENT '等级',
  `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '链接地址',
  `is_menu` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否菜单栏',
  `sort` int(10) NOT NULL DEFAULT 0 COMMENT '排序',
  `info` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '模块描述',
  `is_control_auth` tinyint(1) NOT NULL DEFAULT 1 COMMENT '是否控制权限',
   `type` int(1) NULL DEFAULT 1 COMMENT '1平台,2代理，3用户',
  `create_time` int(11) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` int(11) NULL DEFAULT NULL COMMENT '修改时间',
  `logo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模块小图标',
  PRIMARY KEY USING BTREE (`module_id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统菜单模块表' ROW_FORMAT = Dynamic;

INSERT INTO `ims_admin_module` (`module_id`, `module_name`, `controller`, `method`, `pid`, `level`, `url`, `is_menu`, `sort`, `info`, `is_control_auth`,`type`, `create_time`, `update_time`, `logo`) VALUES
 (1,'首页', 'System', 'System', 0, 1, 'admin', 1, 1, '', 1, 1,NULL, NULL, ''),
 (2,'应用', 'admin', 'admin_list', 0, 1, '', 1, 6, '', 1,1, NULL, NULL, ''),
 (3,'客户', 'admin', 'admin_list', 0, 1, '', 1, 2, '', 1,1, NULL, NULL, ''),
 (4,'代理', 'admin', 'admin_list', 0, 1, '', 0, 3, '', 1,1, NULL, NULL, ''),
 (5,'平台', 'admin', 'admin_list', 0, 1, '', 1, 4, '', 1,1, NULL, NULL, ''),
 (6,'统计', 'admin', 'admin_list', 0, 1, '', 0, 7, '', 1,1, NULL, NULL, ''),
 (7,'系统', 'admin', 'admin_list', 0, 1, '', 1, 5, '', 1,1, NULL, NULL, ''),
 (8,'首页', 'Admin', 'index_statistics', 1, 2, 'api/Admin/index_statistics', 1, 1, '', 1, 1,NULL, NULL, ''),
 (9,'公告', 'System', 'getannouncement', 1, 2, 'api/System/getannouncement', 1, 2, '', 1, 1,NULL, NULL, ''),
 (10,'全部应用', 'Apply', 'tablelist', 2, 2, 'api/Apply/tablelist', 1, 1, '', 1, 1,NULL, NULL, ''),
 (11,'到期应用', 'Apply', 'tablelist', 2, 2, 'api/Apply/tablelist', 1, 2, '', 1, 1,NULL, NULL, ''),
 (12,'回收站', 'Apply', 'tablelist', 2, 2, 'api/Apply/tablelist', 1, 3, '', 1, 1,NULL, NULL, ''),
 (13,'客户列表', 'User', 'userlist', 3, 2, 'api/User/userlist', 1, 1, '', 1, 1,NULL, NULL, ''),
 (14,'订单列表', 'User', 'userlist', 3, 2, '', 0, 1, '', 1, 1,NULL, NULL, ''),
 (15,'全部订单', 'Order', 'tablelist', 14, 3, 'api/Order/tablelist', 1, 1, '', 1, 1,NULL, NULL, ''),
 (16,'试用订单', 'Order', 'tablelist', 14, 3, 'api/Order/tablelist', 1, 2, '', 1, 1,NULL, NULL, ''),
 (17,'待审核订单', 'Order', 'tablelist', 14, 3, 'api/Order/tablelist', 1, 3, '', 1, 1,NULL, NULL, ''),
 (18,'续费套餐', 'Order', 'tablelist', 14, 3, 'api/Order/tablelist', 1, 4, '', 1, 1,NULL, NULL, ''),
 (19,'升级套餐', 'Order', 'tablelist', 14, 3, 'api/Order/tablelist', 1, 5, '', 1, 1,NULL, NULL, ''),
 (20,'代理列表', 'Agent', 'userlist', 4, 2, 'api/Agent/userlist', 1, 1, '', 1, 1,NULL, NULL, ''),
 (21,'代理等级', 'Agent', 'agent_level', 4,2, 'api/Agent/agent_level', 1, 2, '', 1, 1,NULL, NULL, ''),
 (22,'款项流水', 'Agentorder', 'agent_money_log', 4, 2, 'api/Agentorder/agent_money_log', 1, 3, '', 1, 1,NULL, NULL, ''),
 (23,'产品套餐', 'Agentorder', 'agent_money_log', 5, 2, '', 1, 1, '', 1, 1,NULL, NULL, ''),
 (24,'功能套餐', 'Meal', 'addons', 23, 3, 'api/Meal/addons', 1, 1, '', 1, 1,NULL, NULL, ''),
 (25,'时长套餐', 'Meal', 'addons_time', 23, 3, 'api/Meal/addons_time', 1, 2, '', 1, 1,NULL, NULL, ''),
 (26, '公众号', 'System', 'wxgzh_detail', 73, 2, 'api/System/wxgzh_detail', 1, 1, '', 1,3, NULL, NULL, ''),
 (27, '个人中心', 'Usercenter', 'getUserInfo', 73, 2, 'api/Usercenter/getUserInfo', 1, 2, '', 1,3, NULL, NULL, ''),
 (28,'套餐规格', 'Meal', 'def_space', 26, 3, 'api/Meal/space_time', 1, 2, '', 1, 1,NULL, NULL, ''),
 (29,'产品管理', 'Remoty', 'app_shop', 5, 2, 'api/Remoty/app_shop', 1, 1, '', 1, 1,NULL, NULL, ''),
 (30,'套餐销量', 'Admin', 'meal_sale_rank', 6, 2, 'api/Admin/meal_sale_rank', 1, 1, '', 1, 1,NULL, NULL, ''),
 (31,'代理销量', 'Admin', 'agent_sale_rank', 6, 2, 'api/Admin/agent_sale_rank', 1, 2, '', 1, 1,NULL, NULL, ''),
 (32,'产品销量', 'Admin', 'addons_sale_rank', 6, 2, 'api/Admin/addons_sale_rank', 1, 3, '', 1, 1,NULL, NULL, ''),
 (33,'站点设置', 'Site', 'setting_detail', 7, 2, 'api/Site/setting_detail', 0, 1, '', 1, 1,NULL, NULL, ''),
 (34,'权限管理', 'Admin', 'addons_sale_rank', 7, 2, '', 0, 2, '', 1, 1,NULL, NULL, ''),
 (35,'站点预警', 'Admin', 'addons_sale_rank', 7, 2, '', 0, 3, '', 1, 1,NULL, NULL, ''),
 (36,'开放平台', 'Openplatform', 'detail', 7, 2, 'api/Openplatform/detail', 0, 4, '', 1, 1,NULL, NULL, ''),
 (37,'支付配置', 'Admin', 'addons_sale_rank', 7, 2, 'api/Site/pay_setting_detail', 0, 5, '', 1, 1,NULL, NULL, ''),
 (38,'附件设置', 'Admin', 'addons_sale_rank', 7, 2, 'api/Site/remote', 0, 6, '', 0, 1,NULL, NULL, ''),
 (39,'短信设置', 'Admin', 'addons_sale_rank', 7, 2, 'api/System/sms_detail', 0, 7, '', 1, 1,NULL, NULL, ''),
 (40,'客服设置', 'Site', 'contact_detail', 7, 2, 'api/Site/contact_detail', 0, 8, '', 1, 1,NULL, NULL, ''),
 (41,'操作日志', 'Userlog', 'index', 7, 2, 'api/Userlog/tableList', 0, 9, '', 1, 1,NULL, NULL, ''),
 (42,'系统更新', 'Admin', 'addons_sale_rank', 7, 2, 'api/System/versionList', 0, 10, '', 1, 1,NULL, NULL, ''),
 (43,'角色管理', 'Admin', 'admin_role', 34, 3, 'api/Admin/admin_role', 1, 1, '', 1, 1,NULL, NULL, ''),
 (44,'管理员列表', 'Admin', 'admin_list', 34, 3, 'api/Admin/admin_list', 1, 2, '', 1, 1,NULL, NULL, ''),
 (45,'敏感行为', 'Sensitive', 'tableList', 35, 3, 'api/Sensitive/tableList', 1, 1, '', 1, 1,NULL, NULL, ''),
 (46,'敏感词设置', 'Word', 'tableList', 35, 3, 'api/Word/tableList', 1, 2, '', 1, 1,NULL, NULL, ''),
 (47, '首页', 'Agent', 'home', 0, 1, 'api/Agent/home', '1', 1, NULL, '1',2, NULL, NULL, ''),
 (48, '应用', 'Agent', 'home', 0, 1, '', '1', 1, NULL, '1',2, NULL, NULL, ''),
 (49, '客户列表', 'Agent', 'agent_user_list', 0, 1, 'api/Agent/agent_user_list', '1', 2, NULL, '1',2, NULL, NULL, ''),
 (50, '客户订单', 'Agent', 'home', 0, 1, '', '1', 3, NULL, '1',2, NULL, NULL, ''),
 (51, '产品管理', 'Agent', 'home', 0, 1, '', '1', 4, NULL, '1',2, NULL, NULL, ''),
 (52, '款项中心', 'Agent', 'home', 0, 1, '', '1', 5, NULL, '1',2, NULL, NULL, ''),
 (53, '系统设置', 'Agent', 'home', 0, 1, '', '1', 6, NULL, '1',2, NULL, NULL, ''),
 (54, '应用列表', 'Apply', 'tableList', 48, 2, 'api/Apply/tableList', '1', 1, NULL, '1',2, NULL, NULL, ''),
 (55, '试用应用', 'Apply', 'tableList', 48, 2, 'api/Apply/tableList', '1', 2, NULL, '1',2, NULL, NULL, ''),
 (56, '过期应用', 'Apply', 'tableList', 48, 2, 'api/Apply/tableList', '1', 3, NULL, '1',2, NULL, NULL, ''),
 (57, '回收站', 'Apply', 'tableList', 48, 2, 'api/Apply/tableList', '1', 4, NULL, '1',2, NULL, NULL, ''),
 (58, '订单列表', 'Order', 'tableList', 50, 2, 'api/Order/tableList', '1', 1, NULL, '1',2, NULL, NULL, ''),
 (59, '试用订单', 'Order', 'tableList', 50, 2, 'api/Order/tableList', '1', 2, NULL, '1',2, NULL, NULL, ''),
 (60, '待审核订单', 'Order', 'tableList', 50, 2, 'api/Order/tableList', '1', 3, NULL, '1',2, NULL, NULL, ''),
 (61, '续费订单', 'Order', 'tableList', 50, 2, 'api/Order/tableList', '1', 4, NULL, '1',2, NULL, NULL, ''),
 (62, '升级订单', 'Order', 'tableList', 50, 2, 'api/Order/tableList', '1', 5, NULL, '1',2, NULL, NULL, ''),
 (63, '产品列表', 'Order', 'tableList', 51, 2, 'api/Product/tableList', '1', 1, NULL, '1',2, NULL, NULL, ''),
 (64, '产品成本价', 'Order', 'tableList', 51, 2, 'api/Product/costPrice', '1', 2, NULL, '1',2, NULL, NULL, ''),
 (65, '充值记录', 'AgentOrder', 'agent_order', 52, 2, 'api/AgentOrder/agent_order', '1', 1, NULL, '1',2, NULL, NULL, ''),
 (66, '流水列表', 'AgentOrder', 'agent_money_log', 52, 2, 'api/AgentOrder/agent_money_log', '1', 2, NULL, '1',2, NULL, NULL, ''),
 (67, '推广链接', 'System', 'linkList', 53, 2, 'api/System/linkList', '1', 1, NULL, '1',2, NULL, NULL, ''),
 (68, '支付配置', 'Site', 'pay_setting_detail', 53, 2, 'api/Site/pay_setting_detail', '1', 2, NULL, '1',2, NULL, NULL, ''),
 (69, '客服设置', 'Agent', 'agent_contact_detail', 53, 2, 'api/Agent/agent_contact_detail', '1', 3, NULL, '1',2, NULL, NULL, ''),
 (70, '操作日志', 'Userlog', 'tableList', 53, 2, 'api/Userlog/tableList', '1', 4, NULL, '1',2, NULL, NULL, ''),
 (71, '我的应用', 'Usercenter', 'tableList', 0, 1, 'api/Usercenter/tableList', 1, 1, '', 1,3, NULL, NULL, ''),
 (72, '我的订单', 'Order', 'tableList', 0, 1, 'api/Order/tableList', 1, 2, '', 1,3, NULL, NULL, ''),
 (73, '系统设置', 'admin', 'admin_list', 0, 1, '', 1, 3, '', 1,3, NULL, NULL, ''),
 (74, '公众号', 'System', 'wxgzh_detail', 73, 2, 'api/System/wxgzh_detail', 1, 1, '', 1,3, NULL, NULL, ''),
 (75, '个人中心', 'Usercenter', 'getUserInfo', 73, 2, 'api/Usercenter/getUserInfo', 1, 2, '', 1,3, NULL, NULL, ''),
 (76, '升级通知', 'System', 'getupdatelog', 1, 2, 'api/System/getupdatelog', 1, 3, '', 1,1, NULL, NULL, ''),
 (77, '空间套餐', 'Meal', 'space_mealList',  5, 2, 'api/Meal/space_mealList', 1, 2, '', 1,1, NULL, NULL, ''),
 (78, '广告管理', 'System', 'announcementList', 5, 2, 'api/System/announcementList', 1, 1, '', 1,1, NULL, NULL, ''),
 (79, '平台公告', 'System', 'advertList', 5, 2, 'api/System/advertList', 1, 1, '', 1,1, NULL, NULL, ''),
 (80,'域名更换', 'Site', 'domain_setting_detail', 7, 2, 'api/Site/domain_setting_detail', 0, 1, '', 1, 1,NULL, NULL, ''),
 (81,'相册管理', 'Album', 'index', 7, 2, 'api/Album/index', 0, 1, '', 1, 1,NULL, NULL, ''),
 (82,'公众号设置', 'System', 'wxgzh_detail', 7, 2, 'api/System/wxgzh_detail', 0, 1, '', 1, 1,NULL, NULL, ''),
 (83,'待审核客户', 'User', 'userlist', 3, 2, 'api/User/checkuserlist', 1, 1, '', 1, 1,NULL, NULL, ''),
 (84,'回收站', 'User', 'userlist', 3, 2, 'api/User/recycleuserlist', 1, 1, '', 1, 1,NULL, NULL, ''),
 (85,'云服务', 'Admin', 'addons_sale_rank', 7, 2, '', 1, 3, '', 1, 1,NULL, NULL, ''),
 (86,'系统更新', 'Admin', 'addons_sale_rank', 85, 2, 'api/System/versionList', 1, 10, '', 1, 1,NULL, NULL, ''),
 (87,'系统信息', 'Admin', 'addons_sale_rank', 85, 2, 'api/System/getsysteminfo', 1, 10, '', 1, 1,NULL, NULL, ''),
 (88,'注册站点', 'Admin', 'addons_sale_rank', 85, 2, 'api/System/domain_binding_detail', 1, 10, '', 1, 1,NULL, NULL, ''),
 (89,'站点设置', 'Admin', 'addons_sale_rank', 7, 2, '', 1, 3, '', 1, 1,NULL, NULL, ''),
 (90,'站点设置', 'Site', 'setting_detail', 89, 2, 'api/Site/setting_detail', 1, 1, '', 1, 1,NULL, NULL, ''),
 (91,'登录设置', 'Site', 'setting_detail', 89, 2, 'api/Site/setting_detail', 1, 1, '', 1, 1,NULL, NULL, ''),
 (92,'客服设置', 'Site', 'setting_detail', 89, 2, 'api/Site/setting_detail', 1, 1, '', 1, 1,NULL, NULL, ''),
 (93,'开放平台', 'Openplatform', 'detail', 89, 2, 'api/Openplatform/detail', 1, 4, '', 1, 1,NULL, NULL, ''),
 (94,'站点预警', 'Admin', 'addons_sale_rank', 89, 2, '', 1, 3, '', 1, 1,NULL, NULL, ''),
 (95,'敏感行为', 'Sensitive', 'tableList', 94, 3, 'api/Sensitive/tableList', 1, 1, '', 1, 1,NULL, NULL, ''),
 (96,'敏感词设置', 'Word', 'tableList', 94, 3, 'api/Word/tableList', 1, 2, '', 1, 1,NULL, NULL, ''),
 (97,'支付配置', 'System', 'pay_setting_detail', 89, 2, 'api/Site/pay_setting_detail', 1, 1, '', 1, 1,NULL, NULL, ''),
 (98,'公众号设置', 'System', 'wxgzh_detail', 89, 2, 'api/System/wxgzh_detail', 1, 1, '', 1, 1,NULL, NULL, ''),
 (99,'系统设置', 'Admin', 'addons_sale_rank', 7, 2, '', 1, 3, '', 1, 1,NULL, NULL, ''),
 (100,'权限管理', 'Admin', 'addons_sale_rank', 99, 2, '', 1, 2, '', 1, 1,NULL, NULL, ''),
 (101,'角色管理', 'Admin', 'admin_role', 100, 3, 'api/Admin/admin_role', 1, 1, '', 1, 1,NULL, NULL, ''),
 (102,'管理员列表', 'Admin', 'admin_list', 100, 3, 'api/Admin/admin_list', 1, 2, '', 1, 1,NULL, NULL, ''),
 (103,'相册管理', 'Album', 'index', 99, 2, 'api/Album/index', 1, 1, '', 1, 1,NULL, NULL, ''),
 (104,'短信设置', 'Admin', 'addons_sale_rank', 99, 2, 'api/System/sms_detail', 1, 7, '', 1, 1,NULL, NULL, ''),
 (105,'附件设置', 'Admin', 'addons_sale_rank', 99, 2, 'api/Site/remote', 1, 6, '', 1, 1,NULL, NULL, ''),
 (106,'操作日志', 'Userlog', 'index', 99, 2, 'api/Userlog/tableList', 1, 9, '', 1, 1,NULL, NULL, ''),
 (107,'常用工具', 'Admin', 'addons_sale_rank', 7, 2, '', 1, 3, '', 1, 1,NULL, NULL, ''),
 (108,'域名校验文件上传', 'Userlog', 'index', 107, 2, 'api/System/getCheckFile', 1, 9, '', 1, 1,NULL, NULL, ''),
 (109,'域名更换', 'Site', 'domain_setting_detail', 107, 2, 'api/Site/domain_setting_detail', 1, 1, '', 1, 1,NULL, NULL, ''),
 (110, '站点公告', 'System', 'announcementList', 107, 2, 'api/System/announcementList', 1, 1, '', 1,1, NULL, NULL, '');

CREATE TABLE IF NOT EXISTS  `ims_admin_role`  (
  `role_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `role_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户组名称',
  `role_status` int(11) NOT NULL DEFAULT 1 COMMENT '用户组状态',
  `module_id_array` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '系统模块ID组',
  `info` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '描述',
  `uid` int(11) NULL DEFAULT 0 COMMENT '创建人',
  `create_time` int(11) NULL DEFAULT NULL COMMENT '创建时间',
  `modify_time` int(11) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY USING BTREE (`role_id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统管理员用户角色表' ROW_FORMAT = Dynamic;
INSERT INTO `ims_admin_role` VALUES (1, '超管权限组', 1, '3,14,1,8,9,76,2,10,11,12,3,13,14,15,16,17,18,19,4,20,21,22,5,23,24,25,77,6,30,31,32,7,33,34,43,44,35,45,46,36,37,38,39,40,41,42,78,79,80,81,82', '', 0, unix_timestamp(now())  , NULL);
CREATE TABLE IF NOT EXISTS  `ims_agent`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NULL DEFAULT 0,
  `aid` int(11) NULL DEFAULT 0 COMMENT '套餐id',
  `uaid` int(11) NULL DEFAULT NULL COMMENT '应用id',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '',
  `all_time` int(10) NULL DEFAULT 0,
  `free_time` int(10) NULL DEFAULT 0,
  `pic` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '',
  `content` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `create_time` varchar(15) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '',
  `other` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `status` int(1) NULL DEFAULT 1 COMMENT '1ok2del',
  `key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_agent_level`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `levelid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '会员等级ID',
  `levelname` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '会员级别名称',
  `icon` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '级别图标',
  `is_open` tinyint(1) NULL DEFAULT 0 COMMENT '是否开启等级：0-不开启 1-开启',
  `create_time` int(11) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` int(11) NULL DEFAULT 0 COMMENT '更新时间',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代理商级别表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_agent_meal_product`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增',
  `user_id` int(11) NOT NULL DEFAULT 0 COMMENT '代理商id，ims_users表id',
  `addon_id` int(11) NULL DEFAULT NULL COMMENT '应用id',
  `meal_id` int(11) NULL DEFAULT NULL COMMENT '套餐表id',
  `sale_price` decimal(10, 2) NULL COMMENT '销售价',
  `renew_price` decimal(10, 2) NULL COMMENT '续费价',
  `status` tinyint(4) NULL DEFAULT 0 COMMENT '0下架，1在售',
  `create_time` int(11) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` int(11) NULL DEFAULT NULL COMMENT '修改时间',
  `delete_time` int(11) NULL DEFAULT 0 COMMENT '删除时间',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代理商售卖产品' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_agent_money_log`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增',
  `user_id` int(11) NULL DEFAULT NULL COMMENT 'ims_users表Id',
  `order_id` int(11) NULL DEFAULT NULL COMMENT '订单表id',
  `money` decimal(10, 2) NULL COMMENT '金额',
  `type` tinyint(4) NULL DEFAULT 1 COMMENT '1充值，2续费,3购买,4返还,5升级,6减值,7扩容',
  `user_balance` decimal(10, 2) NULL COMMENT '用户当前余额',
  `remark` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注信息',
  `create_time` int(11) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` int(11) NULL DEFAULT NULL COMMENT '修改时间',
  `delete_time` int(11) NULL DEFAULT 0 COMMENT '删除时间',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代理商款项流水表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_agent_site_domains`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `domain_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '域名',
  `domain_main` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '主域名',
  `state` tinyint(2) NOT NULL DEFAULT 1 COMMENT '状态1 可用，2不可用',
  `create_time` int(11) NULL DEFAULT 0 COMMENT '创建时间',
  `update_time` int(11) NULL DEFAULT 0 COMMENT '修改时间',
  `delete_time` int(11) NULL DEFAULT 0 COMMENT '删除时间',
  `agentid` int(11) NULL DEFAULT 0 COMMENT '代理用户id',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = MyISAM AUTO_INCREMENT =1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代理站点绑定域名表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_core_cache`  (
  `key` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `value` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY USING BTREE (`key`)
) ENGINE = MyISAM CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统缓存表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_core_settings`  (
  `key` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `value` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY USING BTREE (`key`)
) ENGINE = MyISAM CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统配置表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_invite_reg_log`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL COMMENT '注册用户id',
  `agentid` int(11) NOT NULL COMMENT '代理id',
  `createtime` int(11) NOT NULL COMMENT '注册时间',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '邀请注册记录表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_links`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '链接地址',
  `type` int(11) NULL DEFAULT 0,
  `sort` int(10) NOT NULL DEFAULT 0 COMMENT '排序',
  `agentid` int(11) NULL DEFAULT 0,
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统底部链接表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_sys_account_wechats`  (
  `user_id` int(10) UNSIGNED NOT NULL,
  `uniacid` int(10) UNSIGNED NOT NULL,
  `token` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `encodingaeskey` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `level` tinyint(4) UNSIGNED NOT NULL,
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `account` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `original` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `signature` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `country` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `province` varchar(3) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `city` varchar(15) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `username` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `password` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `lastupdate` int(10) UNSIGNED NOT NULL,
  `key` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `secret` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `styleid` int(10) UNSIGNED NOT NULL,
  `subscribeurl` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `auth_refresh_token` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY USING BTREE (`user_id`)
) ENGINE = MyISAM CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '应用公众号配置相关表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_sys_log`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NULL DEFAULT NULL,
  `type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '1-删除应用,2-恢复应用',
  `content` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `moduleid` int(11) NULL DEFAULT NULL,
  `create_time` varchar(15) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统日志表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_sys_order`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `orderno` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '订单编号',
  `out_trade_no` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '商户内部交易号',
  `pay_type` tinyint(3) NOT NULL COMMENT '支付类型，1微信，2-支付宝，3-线下支付',
  `user_id` int(11) NULL DEFAULT NULL COMMENT '下单用户',
  `order_money` decimal(10, 2) NULL DEFAULT NULL COMMENT '订单总金额',
  `coupon_money` decimal(10, 2) NULL COMMENT '优惠券优惠金额',
  `discount_money` decimal(10, 2) NULL COMMENT '折扣金额',
  `pay_money` decimal(10, 2) NULL DEFAULT NULL COMMENT '订单支付金额',
  `transaction_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT '' COMMENT '微信交易单号',
  `create_time` int(11) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` int(11) NULL DEFAULT NULL COMMENT '修改时间',
  `delete_time` int(11) NULL DEFAULT 0 COMMENT '删除时间',
  `order_status` tinyint(3) NOT NULL DEFAULT 0 COMMENT '订单状态，0：待支付；1：已支付；2-已取消',
  `pay_time` int(11) NOT NULL DEFAULT 0 COMMENT '付款时间',
  `state` int(11) NULL DEFAULT 0 COMMENT '订单审核状态0 待审核，1-已审核，2-已拒绝',
  `type` int(11) NULL DEFAULT 1 COMMENT '订单类型 1首次购买应用套餐，2应用套餐续费，3,应用套餐升级4,代理商充值订单,5,空间套餐扩容,6试用套餐后再购买',
  `audit_time` int(11) NULL DEFAULT NULL COMMENT '审核时间',
  `uniacid` int(11) NULL COMMENT '应用表IDims_account_wxapp',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '应用订单表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_sys_order_detail`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增',
  `order_id` int(11) NULL DEFAULT NULL COMMENT '订单表id',
  `meal_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '套餐名称',
  `meal_timespan` decimal(10, 2) NULL DEFAULT 0 COMMENT '套餐时长，天，空间大小,GB,短信条数，条',
  `meal_price` decimal(10, 2) NULL COMMENT '套餐总价格',
  `is_trial` tinyint(1) NOT NULL DEFAULT 0 COMMENT '试用套餐，0-否，1-是',
  `coupon_money` decimal(10, 2) NULL COMMENT '优惠券优惠金额',
  `cost_money` decimal(10, 2) NULL COMMENT '代理成本价格',
  `discount_money` decimal(10, 2) NULL COMMENT '折扣金额',
  `create_time` int(11) NULL DEFAULT NULL COMMENT '创建时间',
  `meal_id` int(11) NULL DEFAULT NULL COMMENT '套餐表id',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '应用订单明细表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_sys_order_oper_log`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NULL DEFAULT NULL COMMENT 'ims_users表Id',
  `order_id` int(11) NULL DEFAULT NULL COMMENT '订单表Id',
  `content` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作内容',
  `type` int(11) NULL DEFAULT 1 COMMENT '类型1 订单审核，2 订单删除，3-恢复删除订单',
  `create_time` int(11) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '订单操作日志表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_sys_order_paylog`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NULL DEFAULT NULL COMMENT 'ims_users表Id',
  `order_id` int(11) NULL DEFAULT NULL COMMENT '订单表Id',
  `money` decimal(10, 2) NOT NULL,
  `status` tinyint(4) NULL DEFAULT 0 COMMENT '0支付失败，1支付成功',
  `create_time` int(11) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '订单支付日志表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_system_files`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `version_id` int(11) NOT NULL,
  `version` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `path` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `md5` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `action` int(11) NOT NULL COMMENT '工作 1 新增 2 删除',
  `status` int(11) NOT NULL COMMENT '动作状态 0 未执行 1 执行成功 2 执行失败',
  `create_time` int(11) NOT NULL COMMENT '文件创建时间',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统文件表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_system_update`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `version_id` int(11) NOT NULL,
  `version` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `file_count` int(11) NOT NULL COMMENT '文件总数',
  `create_time` int(11) NOT NULL,
  `status` int(11) NOT NULL COMMENT '插件状态 0老版本 1 当前使用 2 更新中',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '框架升级记录表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_uni_account_meal_relate`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) UNSIGNED NOT NULL,
  `uid` int(11) UNSIGNED NOT NULL,
  `meal_id` int(11) NOT NULL COMMENT '当前应用套餐id',
  `meal_tot_space` decimal(10, 2) NOT NULL DEFAULT 0 COMMENT '当前应用套餐总空间，GB',
  `meal_name` varchar(1000) NOT NULL COMMENT '当前套餐名称',
  `timespan` int(11) NULL COMMENT '套餐时长，天',
  `endtime` bigint(11) NULL COMMENT '套餐到期时间',
  `status` tinyint(1) NULL DEFAULT 1 COMMENT '状态：1正常 2回收站 3删除',
  PRIMARY KEY USING BTREE (`id`),
  INDEX `idx_memberid` USING BTREE(`uid`),
  INDEX `uniacid` USING BTREE(`uniacid`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户应用套餐绑定关系表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_uni_account_users`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) UNSIGNED NOT NULL,
  `uid` int(10) UNSIGNED NOT NULL,
  `role` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `rank` tinyint(3) UNSIGNED NOT NULL,
  `type` int(11) NULL COMMENT '1平台用户，2应用内部用户',
  `status` tinyint(1) NULL DEFAULT 1 COMMENT '状态：1正常 2回收站 3删除',
  PRIMARY KEY USING BTREE (`id`),
  INDEX `idx_memberid` USING BTREE(`uid`),
  INDEX `uniacid` USING BTREE(`uniacid`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '应用用户绑定表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_user_meal_upgrade_log`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL COMMENT '用户ID',
  `old_order_id` int(11) NOT NULL COMMENT '升级前的订单ID',
  `new_order_id` int(11) NOT NULL COMMENT '当前订单ID',
  `old_meal_info` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '升级前的套餐信息',
  `new_meal_info` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '当前套餐信息',
  `old_role_info` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '升级前的套餐权限',
  `new_role_info` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '当前套餐权限',
  `diff_info` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '差价等信息',
  `addon_id` int(11) NOT NULL COMMENT '应用ID',
  `create_time` int(11) NULL DEFAULT 0 COMMENT '添加时间',
  `update_time` int(11) NULL DEFAULT 0 COMMENT '更新时间',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户应用套餐升级记录表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_users`  (
  `uid` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `founder_groupid` int(11) NULL DEFAULT 2,
  `username` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '登录名',
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '姓名',
  `password` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '密码',
  `avatar` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT '',
  `role_id_array` int(11) NOT NULL COMMENT '角色权限id',
  `type` tinyint(3) UNSIGNED NOT NULL COMMENT '0超管,1非超管',
  `isadmin` int(11) NULL DEFAULT 0 COMMENT '是否是管理员0是，1否',
  `status` tinyint(4) NOT NULL COMMENT '状态0不可用，1可用 ,2禁用',
  `joindate` int(10) UNSIGNED NOT NULL COMMENT '注册日期',
  `joinip` varchar(15) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'ip',
  `lastvisit` int(10) UNSIGNED NOT NULL COMMENT '最后一次登陆时间',
  `lastip` varchar(15) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '最后一次访问ip',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '备注',
  `starttime` int(10) UNSIGNED NOT NULL COMMENT '账号开始时间',
  `endtime` int(10) UNSIGNED NOT NULL COMMENT '账号结束时间',
  `maxcount` int(11) NULL DEFAULT 0 COMMENT '可创建应用数量，0不限制',
  `salt` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '',
  `agent` int(10) NULL DEFAULT 0 COMMENT ' 所属代理商  -1代理>0代理商用户',
  `money` decimal(10, 2) NOT NULL DEFAULT '0',
  `phone` varchar(13) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `owner_uid` int(10) NULL DEFAULT 0,
  `groupid` int(10) NULL DEFAULT 1,
  `pagent` int(11) NULL DEFAULT NULL COMMENT '上级代理商',
  `agent_level` int(11) NULL DEFAULT 1 COMMENT '代理层级',
  `can_register` int(11) NULL DEFAULT 0 COMMENT '是否允许添加下级代理，1是，0否',
  `max_level` int(11) NULL DEFAULT 1 COMMENT '最大层数1，默认1,0，无限制',
  `agent_level_id` int(11) NULL  DEFAULT 0 COMMENT '代理商级别',
   `update_time` int(11) NULL DEFAULT 0 COMMENT '修改时间',
   `delete_time` int(11) NULL DEFAULT 0 COMMENT '删除时间',
  PRIMARY KEY USING BTREE (`uid`),
  UNIQUE INDEX `username` USING BTREE(`username`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系統用户表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS `ims_sys_pay_notify` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_number` varchar(50) DEFAULT NULL COMMENT '订单号',
	`notify_message` varchar(2000) NOT NULL COMMENT '回调内容',
  `create_time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='支付通知表';

CREATE TABLE IF NOT EXISTS `ims_meal_role_relate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `addons_id` int(11) NOT NULL COMMENT '安装的应用id',
  `uniacid` int(11) NOT NULL COMMENT '购买的应用id',
  `meal_id` int(11) NOT NULL COMMENT '套餐id',
	`role_id` int(11) NOT NULL COMMENT '应用权限组id',
  `create_time` int(11) NOT NULL,
  `update_time` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='套餐-应用权限组关联表';

CREATE TABLE IF NOT EXISTS `ims_sys_advert` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `title` varchar(255) NOT NULL COMMENT '广告名称',
	`content` varchar(255) NOT NULL DEFAULT '' COMMENT '广告内容',
  `link` varchar(255) NOT NULL DEFAULT '' COMMENT '广告链接',
	`sort` int(11) NOT NULL DEFAULT 0 COMMENT '排序',
	`status` tinyint(1) NOT NULL DEFAULT 1 COMMENT '状态：0-关闭 1-开启',
  `create_time` int(11) NOT NULL COMMENT '添加时间',
  `update_time` int(11) NOT NULL DEFAULT 0 COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COMMENT='广告表';

CREATE TABLE IF NOT EXISTS `ims_sys_announcement` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `title` varchar(255) NOT NULL COMMENT '公告标题',
  `content` text COMMENT '公告内容',
  `click` int(11) NOT NULL DEFAULT 0 COMMENT '公告阅读量',
  `sort` int(11) NOT NULL DEFAULT 0 COMMENT '排序',
  `status` tinyint(1) NOT NULL DEFAULT 1 COMMENT '状态：0关闭，1开启',
  `target_user` tinyint(1) NOT NULL DEFAULT 0 COMMENT '接收目标用户：0-全部，1-代理，2-客户',
   `release_time` int(11) NOT NULL COMMENT '发布时间',
  `create_time` int(11) NOT NULL COMMENT '创建时间',
  `update_time` int(11) NOT NULL DEFAULT 0 COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COMMENT='公告表';

CREATE TABLE IF NOT EXISTS  `ims_verifycode`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mobile` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '手机号',
  `createtime` int(11) NOT NULL COMMENT '创建时间',
  `verifycode` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `expiretime` int(11) NOT NULL COMMENT '过期时间',
  `isused` int(11) NOT NULL COMMENT '是否使用0 未使用1 已使用',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '手机登陆验证码表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_wx_keywords`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NULL DEFAULT NULL,
  `user_id` int(10) UNSIGNED NOT NULL,
  `keyword` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` tinyint(3) NULL DEFAULT 0,
  `content` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `module` varchar(255) NULL COMMENT '绑定的应用模块如壹佰门店v2等',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '微信公众号关键字表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS  `ims_wxapp_versions`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) UNSIGNED NOT NULL,
  `version` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `createtime` int(10) NOT NULL,
  PRIMARY KEY USING BTREE (`id`),
  INDEX `version` USING BTREE(`version`),
  INDEX `uniacid` USING BTREE(`uniacid`)
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;
CREATE TABLE    IF NOT EXISTS `ims_sms_tmpl` (
`id` int(11) NOT NULL AUTO_INCREMENT,
  `smskey` varchar(50) NOT NULL COMMENT '标识Key',
  `platform` int(11) NOT NULL COMMENT '1阿里云，2腾讯云',
  `templstr` varchar(100) NOT NULL COMMENT '模板内容',
  `tmplid` varchar(20) NOT NULL COMMENT '模板ID/模板CODE',
  `note` varchar(50) NOT NULL COMMENT '备注',
  `createtime` int(11) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `ims_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '相册图片表id',
  `group_id` int(10) unsigned NOT NULL COMMENT '相册id',
  `img_name` varchar(100) NOT NULL COMMENT '图片名称',
  `img_cover` varchar(255) DEFAULT NULL COMMENT '原图图片路径',
   `uid` INT(11) NOT NULL DEFAULT '0' COMMENT '上传用户id',
  `type` TINYINT(3) UNSIGNED NOT NULL DEFAULT 1 COMMENT '文件类型,0其它,1-图片,2-音频,3-视频',
  `upload_time` int(11) DEFAULT '0' COMMENT '图片上传时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=300 COMMENT='相册图片表';


CREATE TABLE IF NOT EXISTS `ims_images_group` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '相册id',
  `name` varchar(100) NOT NULL COMMENT '相册名称',
  `cover` varchar(255) NOT NULL DEFAULT '' COMMENT '相册封面图片ID',
  `is_default` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '是否为默认相册,1代表默认',
  `is_show` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态：0/隐藏 1/显示',
  `sort` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT '0' COMMENT '创建时间',
  `mch_id` int(11) NOT NULL DEFAULT '0' COMMENT '商户id',
    `uid` INT(11) NOT NULL DEFAULT '0' COMMENT '上传用户id',
  `del_time` int(11) NOT NULL COMMENT '逻辑删除时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=100 COMMENT='相册分类表';

CREATE TABLE IF NOT EXISTS `ims_attachment` (
  `id` INT(11) NOT NULL AUTO_INCREMENT COMMENT '自增编号 ',
  `filename` VARCHAR(255) NOT NULL COMMENT '文件名',
  `type` TINYINT(3) UNSIGNED NOT NULL DEFAULT 1 COMMENT '文件类型,0其它,1-图片,2-音频,3-视频',
  `url` VARCHAR(255) NOT NULL COMMENT '物理路径',
  `filesize` INT(11) UNSIGNED NOT NULL DEFAULT '0' COMMENT '文件大小',
  `mimetype` VARCHAR(100) DEFAULT '' COMMENT 'mime类型',
  `storage` TINYINT(3) NOT NULL DEFAULT 1 COMMENT '存储位置 1-local本地,2-remote远程',
  `uid` INT(11) NOT NULL DEFAULT '0' COMMENT '上传用户id',
  `user_type` int(11) NOT NULL DEFAULT '1' COMMENT '1-后台用户，2-小程序端用户，3-商家助手后台，4-商家助手小程序',
  `user_name` varchar(50) DEFAULT '' COMMENT '上传者用户名',
  `mch_id` INT(11) NOT NULL COMMENT '应用id',
  `create_time` INT(11) NOT NULL COMMENT '上传时间',
  `update_time` INT(11) DEFAULT 0 COMMENT '更新时间',
  `delete_time` INT(11) DEFAULT 0 COMMENT '删除时间',
  PRIMARY KEY (`id`)
) ENGINE=MYISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='上传附件表';
CREATE TABLE IF NOT EXISTS `ims_sensitive_word` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sensitive_word` varchar(255) NOT NULL COMMENT '敏感词',
  `status` tinyint(1) DEFAULT 1 COMMENT '是否启用，0否 1是',
     `uniacid` int(11) NOT NULL DEFAULT 0 COMMENT '应用id',
   `addon` varchar(100) NOT NULL DEFAULT '' COMMENT '应用标识',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `update_time` int(11) NOT NULL DEFAULT '0'COMMENT '更新时间',
  `delete_time` int(11) NOT NULL DEFAULT 0 COMMENT '删除时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='敏感词';

CREATE TABLE IF NOT EXISTS `ims_sensitive_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `word_name` varchar(1500) NOT NULL DEFAULT '' COMMENT '敏感词',
   `title` varchar(100) NOT NULL DEFAULT '' COMMENT '日志标题',
    `url` varchar(1500) NOT NULL DEFAULT '' COMMENT '操作页面',
  `user_id` int(11) NOT NULL COMMENT '管理员ID',
  `user_name` varchar(30) NOT NULL DEFAULT '' COMMENT '管理员名字',
   `content` text NOT NULL COMMENT '内容',
   `ip` varchar(50) NOT NULL DEFAULT '' COMMENT 'IP',
   `type` tinyint(1) NOT NULL DEFAULT 0 COMMENT '0默认后台提交，1小程序提交',
   `uniacid` int(11) NOT NULL DEFAULT 0 COMMENT '应用id',
   `addon` varchar(100) NOT NULL DEFAULT '' COMMENT '应用标识',
  `create_time` int(11) NOT NULL COMMENT '操作时间',
   `update_time` int(11) NOT NULL DEFAULT '0'COMMENT '更新时间',
  `delete_time` int(11) NOT NULL DEFAULT 0 COMMENT '删除时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='违规词过滤和站点预警日志表';

CREATE TABLE IF NOT EXISTS  `ims_user_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mch_id` int(11) NOT NULL COMMENT '应用ID',
  `user_id` int(11) NOT NULL COMMENT '管理员ID',
  `user_name` varchar(50) NOT NULL DEFAULT '' COMMENT '管理员名字',
  `url` varchar(500) NOT NULL DEFAULT '' COMMENT '操作页面',
  `title` varchar(100) NOT NULL DEFAULT '' COMMENT '日志标题',
  `content` text NOT NULL COMMENT '内容',
  `ip` varchar(50) NOT NULL DEFAULT '' COMMENT 'IP',
  `user_agent` varchar(255) NOT NULL DEFAULT '' COMMENT 'User-Agent',
  `create_time` int(11) NOT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='管理员操作日志表';
CREATE TABLE IF NOT EXISTS   `ims_sms_log` (
`id` int(11) NOT NULL AUTO_INCREMENT,
  `mobile` varchar(20) NOT NULL COMMENT '发送手机号',
  `content` varchar(100) NOT NULL COMMENT '发送内容',
  `state` int(11) NOT NULL COMMENT '状态1，成功，0失败',
  `createtime` int(11) NOT NULL COMMENT '发送时间',
  `type` int(11) NOT NULL COMMENT '1,阿里云，2腾讯云',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS  `ims_sys_update_apply_log`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
    `type` int(11) NOT NULL DEFAULT 1 COMMENT '1修改代理 2修改应用所属用户 3修改应用到期时间',
    `addon_id` int(11) NOT NULL COMMENT '应用ID',
    `before_user_id` int(11) NOT NULL COMMENT '之前用户id',
    `before_agent_id` int(11) NOT NULL COMMENT '之前代理商id',
    `before_fission_time` int(11) NOT NULL COMMENT '之前过期时间',
     `fission_time` int(11) NOT NULL COMMENT '过期时间',
    `user_id` int(11) NOT NULL COMMENT '用户id',
    `agent_id` int(11) NOT NULL COMMENT '代理商id',
   `create_time` int(11) NOT NULL COMMENT '操作时间',
  PRIMARY KEY USING BTREE (`id`)
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '修改代理,修改应用所属用户' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS   `ims_account_wxapp_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
   `uniacid` int(11) UNSIGNED NOT NULL,
   `content` varchar(1000) NOT NULL COMMENT '内容',
   `type` int(11) NOT NULL COMMENT '1购买套餐，2续费套餐，3升级套餐，5购买空间套餐',
   `createtime` int(11) NOT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT = '用户应用操作日志表';


CREATE TABLE IF NOT EXISTS `ims_sys_mp_fans` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `mpid` int(10) NOT NULL COMMENT '公众号标识',
  `openid` varchar(64) NOT NULL COMMENT 'openid',
  `nickname` varchar(50) CHARACTER SET utf8mb4 DEFAULT '' COMMENT '昵称',
  `headimgurl` varchar(255) DEFAULT '' COMMENT '头像',
  `sex` tinyint(1) DEFAULT '0' COMMENT '性别',
  `subscribe` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否关注',
  `subscribe_time` int(10) DEFAULT '0' COMMENT '关注时间',
  `unsubscribe_time` int(10) DEFAULT '0' COMMENT '取消关注时间',
  `relname` varchar(50) DEFAULT '' COMMENT '真实姓名',
  `signature` text COMMENT '个性签名',
  `mobile` varchar(15) DEFAULT '' COMMENT '手机号',
  `is_bind` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否绑定',
  `language` varchar(50) DEFAULT '' COMMENT '使用语言',
  `country` varchar(50) DEFAULT '' COMMENT '国家',
  `province` varchar(50) CHARACTER SET utf8mb4 DEFAULT '' COMMENT '省',
  `city` varchar(50) DEFAULT '' COMMENT '城市',
  `remark` varchar(50) DEFAULT '' COMMENT '备注',
  `group_id` int(10) DEFAULT '0' COMMENT '分组ID',
  `groupid` int(11) NOT NULL DEFAULT '0' COMMENT '公众号分组标识',
  `tagid_list` varchar(255) DEFAULT '' COMMENT '标签',
  `score` int(10) DEFAULT '0' COMMENT '积分',
  `money` decimal(10,2) DEFAULT '0.00' COMMENT '金钱',
  `group_score` int(11) NOT NULL DEFAULT '0' COMMENT '影响角色组等级升降的积分',
  `group_money` decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '影响角色组等级升降的金额',
  `latitude` varchar(50) DEFAULT '' COMMENT '纬度',
  `longitude` varchar(50) DEFAULT '' COMMENT '经度',
  `location_precision` varchar(50) DEFAULT '' COMMENT '精度',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '0:公众号粉丝1：注册会员',
  `unionid` varchar(64) DEFAULT '' COMMENT 'unionid字段',
  `password` varchar(64) DEFAULT '' COMMENT '密码',
  `last_time` int(10) DEFAULT '0' COMMENT '最后交互时间',
  `subscribe_scene` varchar(255) DEFAULT '',
  `qr_scene` varchar(255) DEFAULT '',
  `qr_scene_str` varchar(255) DEFAULT '',
  `create_time` int(11) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` int(11) NULL DEFAULT NULL COMMENT '修改时间',
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='公众号粉丝表';


CREATE TABLE IF NOT EXISTS `ims_sys_mp_fans_user_bind` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `mpid` int(10) NOT NULL COMMENT '公众号标识',
  `user_id` int(10) NOT NULL COMMENT '框架注册用户表id',
  `openid` varchar(64) NOT NULL COMMENT '公众号openid',
  `create_time` int(11) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` int(11) NULL DEFAULT NULL COMMENT '修改时间',
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='框架注册用户--公众号粉丝绑定关系表';

CREATE TABLE IF NOT EXISTS `ims_sys_access_token` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `appid` varchar(255) NOT NULL COMMENT 'appid',
  `access_token` varchar(255) NOT NULL COMMENT 'access_token',
  `refresh_token` varchar(255) DEFAULT '' COMMENT 'refresh_token',
  `expire_time` int(11) NOT NULL DEFAULT '0' COMMENT '过期时间',
  `token_type` varchar(255) DEFAULT 'default' COMMENT 'default/默认 customer_contact_token/企业微信客户  address_book_token/企业通讯录',
  `platform` tinyint(3) NOT NULL DEFAULT 0 COMMENT '所属平台: 0微信|1百度|2支付宝|3字节跳动|4公众号|5手机站|6QQ',
  `user_id` int(11) NOT NULL COMMENT '应用id',
  `create_time` int(11) NOT NULL DEFAULT 0 COMMENT '创建时间',
  `update_time` int(11) NOT NULL DEFAULT 0 COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COMMENT='access_token表';
CREATE TABLE IF NOT EXISTS `ims_sys_miniapp_config` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `base` text,
  `pay` text,
  `refund` text,
  `notice` text,
  `user_id` int(11) DEFAULT '0',
  `create_time` int(11) NOT NULL,
  `update_time` int(11) DEFAULT NULL,
  `type` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=1000;

CREATE TABLE IF NOT EXISTS   `ims_sys_scanlogin_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
   `openid` varchar(64) NOT NULL COMMENT 'openid',
   `qr_scene_str` varchar(1000) NOT NULL COMMENT '二维码唯一标识',
   `is_used` int(11) DEFAULT '0' COMMENT '是否可用',
   `used_time` int(11) NOT NULL COMMENT '使用时间',
   `create_time` int(11) NOT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT = '用户扫码登陆日志表';

INSERT INTO `ims_core_settings` (`key`, `value`) VALUES
('system_version', '{"id":"1","version":"3.0.0"}'),
('system_update_status', '1'),
('index_name', ''),
('slogan', ''),
('site_name', ''),
('edition_type', 3),
('site_copy_right', 'Copyright © 2022 壹佰网络 版权所有'),
('site_regist', '{"can_regist":false,"can_mobileregist":false,"need_check":false,"default_day":"1","wechat_regist":false}'),
('agreement_name', '平台注册协议'),
('agreement', '平台注册协议'),
('menu_logo', '/admin/public/static/images/menu_logo.png'),
('index_icon', '/admin/public/static/images/index_icon.png'),
('site_login_bg', '/admin/public/static/images/admin_login_banner.png');
INSERT INTO `ims_sms_tmpl` (`id`,`smskey`,`platform`,`templstr`,`tmplid`,`note`, `createtime`) SELECT 1, 'alireg_valcod', '1', '您的验证码${code}，该验证码5分钟内有效，请勿泄漏于他人！', ' 模板CODE', '注冊验证码短信模板', '1572585471' FROM DUAL WHERE NOT EXISTS(SELECT * FROM ims_sms_tmpl WHERE `id` = 1);
INSERT INTO `ims_sms_tmpl` (`id`,`smskey`,`platform`,`templstr`,`tmplid`,`note`, `createtime`) SELECT 2, 'qqreg_valcode', '2', '您的验证码{1}，该验证码5分钟内有效，请勿泄漏于他人！', '模板ID', ' 注册验证码模板', '1571906875' FROM DUAL WHERE NOT EXISTS(SELECT * FROM ims_sms_tmpl WHERE `id` =2);
INSERT INTO `ims_sms_tmpl` (`id`,`smskey`,`platform`,`templstr`,`tmplid`,`note`, `createtime`) SELECT 3, 'alimeal_valname', '1', '管理员已经修改${name}套餐价格，请确认该套餐销售价格后，登录后台重新上架该套餐。', ' 模板NAME', '修改套餐提醒模板', '1572585471' FROM DUAL WHERE NOT EXISTS(SELECT * FROM ims_sms_tmpl WHERE `id` = 3);
INSERT INTO `ims_sms_tmpl` (`id`,`smskey`,`platform`,`templstr`,`tmplid`,`note`, `createtime`) SELECT 4, 'qqmeal_valcode', '2', '管理员已经修改{1}套餐价格，请确认该套餐销售价格后，登录后台重新上架该套餐。', '模板ID', ' 修改套餐提醒模板', '1571906875' FROM DUAL WHERE NOT EXISTS(SELECT * FROM ims_sms_tmpl WHERE `id` =4);





