CKEDITOR.editorConfig = function (config) {

    console.log("config: ",config);
    console.log("config.extraPlugins: ",config.extraPlugins);

    config.toolbar = [
        { name: 'clipboard', items: [ 'PasteFromWord', '-', 'Undo', 'Redo' ] },
        { name: 'styles', items: ['Format', 'Font', 'FontSize'] },
        { name: 'colors', items: ['TextColor', 'BGColor', '-'] },
        { name: 'basicstyles', items: ['Bold', 'Italic', 'Underline', '-'] },
        { name: 'paragraph', items: ['JustifyLeft', 'JustifyCenter', 'JustifyRight', '-'] },
        { name: 'paragraph', items: ['lineheight', 'letterspacing', '-'] },
        { name: 'basicstyles', items: ['Strike', '-', 'RemoveFormat', '-'] },
        { name: 'links', items: ['ScdImage', 'Table', 'Source'] },
        { name: 'tools', items: ['CopyFormatting', '-','Maximize'] },
    ];

    config.allowedContent = true;
    config.disallowedContent = '';

    //工具栏是否可以被收缩
    config.toolbarCanCollapse = true;
    //工具栏的位置
    config.toolbarLocation = 'top';//可选：bottom
    //工具栏默认是否展开
    config.toolbarStartupExpanded = true;
    //当用户键入TAB时，编辑器走过的空格数，(&nbsp;) 当值为0时，焦点将移出编辑框 plugins/tab/plugin.js
    config.tabSpaces = 2;
    // 编辑器的z-index值
    config.baseFloatZIndex = 10000;
    //去除底部的"p body标签"
    config.removePlugins = 'elementspath';
    //编辑器的高度
    config.height = 400;
    //字体默认大小 plugins/font/plugin.js
    config.fontSize_defaultLabel = '12px';
    config.fontSize_sizes = '8/8px;9/9px;10/10px;11/11px;12/12px;14/14px;16/16px;18/18px;20/20px;22/22px;24/24px;26/26px;28/28px;30/30px;32/32px;34/34px;36/36px;38/38px;40/40px;42/42px;44/44px;46/46px;48/48px;54/54px;62/62px;72/72px;78/78px;84/84px;90/90px;96/96px;102/102px;108/108px;114/114px;';
    //添加字体
    config.font_names = '宋体/SimSun;新宋体/NSimSun;仿宋/FangSong;楷体/KaiTi;仿宋_GB2312/FangSong_GB2312;' +
        '楷体_GB2312/KaiTi_GB2312;黑体/SimHei;华文细黑/STXihei;华文楷体/STKaiti;华文宋体/STSong;华文中宋/STZhongsong;' +
        '华文仿宋/STFangsong;华文彩云/STCaiyun;华文琥珀/STHupo;华文隶书/STLiti;华文行楷/STXingkai;华文新魏/STXinwei;' +
        '方正舒体/FZShuTi;方正姚体/FZYaoti;细明体/MingLiU;新细明体/PMingLiU;微软雅黑/Microsoft YaHei;微软正黑/Microsoft JhengHei;思源黑体/Source Han Sans;' +
        'Arial Black/Arial Black;' + config.font_names;
    config.extraPlugins = 'scdimage';
  config.extraPlugins += (config.extraPlugins ? ',lineheight' : 'lineheight');
  config.extraPlugins += (config.extraPlugins ? ',letterspacing' : 'letterspacing');
  config.extraPlugins += (config.extraPlugins ? ',justify' : 'justify');
  config.extraPlugins += (config.extraPlugins ? ',pastetools' : 'pastetools');
  config.extraPlugins += (config.extraPlugins ? ',pastefromword' : 'pastefromword');
  //保存颜色值
  config.color = (config.color ? config.color : '#000000');
  config.bgColor = (config.bgColor ? config.bgColor : '');
  config.bgColorTargeted = null;
  config.colorTargeted = null;
  config.copyFormatting_allowedContexts = true;
  config.copyFormatting_allowedContexts = ['text', 'list', 'table'];
  config.pasteFromWordRemoveFontStyles = false
  config.pasteFromWordCleanupFile = false
  config.pasteFromWordPromptCleanup = false
  config.pasteFromWordRemoveStyles = false
};

//自定义一个图片插件
CKEDITOR.plugins.add('scdimage',
    {
        init: function (editor) {
            //定义一个scdimage命令以及点击后的事件
            editor.addCommand('scdimage', {
                exec: function (editor) {
                  const addImg = editor.element.$.addImg
                  addImg && addImg()
                }
            });
            //定义button的名称及图片
            editor.ui.addButton('ScdImage',
                {
                    label: '图像',
                    icon: 'plugins/scdimage.png',
                    command: 'scdimage'
                });

        }

    })
