<?php

defined('IN_IA') or exit('Access Denied');

class DefaultModuleProcessor extends WeModuleProcessor
{
    // 关键词回复微擎回调
    public function respond()
    {
        $default_keyword = $this->default_keyword;
        $keyword_content = $default_keyword['keyword_content'];
        switch ($default_keyword['keyword_type']) {
            case 'text':
                $content = $keyword_content ? $keyword_content : '未找到匹配内容';
                $response = $this->respText($content);
                break;
            case 'news':
                $news_arr = [];
                $news['title'] = $keyword_content['title'];
                $news['description'] = $keyword_content['des'];
                $news['picurl'] = $keyword_content['wxurl'];
                $news['url'] = $keyword_content['link'];
                $news_arr[] = $news;
                $response = $this->respNews($news_arr);
                break;
            case 'voice':
                $mid = $keyword_content['media_id'];
                $response = $this->respVoice($mid);
                break;
            case 'image':
                $mid = $keyword_content['media_id'];
                $response = $this->respImage($mid);
                break;
            case 'video':
                $video['MediaId'] = $keyword_content['media_id'];
                $video['Title'] = $keyword_content['title'];
                $video['Description'] = $keyword_content['des'];
                $response = $this->respVideo($video);
                break;
            case 'music':
                $music['title'] = $keyword_content['title'];
                $music['description'] = $keyword_content['des'];
                $music['musicurl'] = $keyword_content['path'];
                $music['hqmusicurl'] = $keyword_content['link'];
                $response = $this->respMusic($music);
                break;
            default:
                $content = $keyword_content ? $keyword_content : '未找到匹配内容';
                $response = $this->respText($content);
                break;
        }
        return $response;
        //exit('success');
    }
}
