<?php
/**
 * 第三方平台事件通知
 * @author
 */
date_default_timezone_set("PRC");
define('PROJECT_URL', dirname(__DIR__));
define('APPURL', PROJECT_URL . '/admin/application/');

require PROJECT_URL . '/admin/thinkphp/base.php';
require PROJECT_URL . '/admin/thinkphp/library/think/Request.php';
require PROJECT_URL . '/admin/thinkphp/library/think/Db.php';
require APPURL . 'api/service/PlatformService.php';
require APPURL . 'function.php';

use think\Config;
use think\Db;
use think\Request;

set_time_limit(0);
$databasePath = APPURL."database.php";
Config::load($databasePath,'database');

$do = Request::instance()->get('do');
$from = Request::instance()->get('from');
$host = Request::instance()->host();

$dos = array('ticket', 'test');
$do = in_array($do, $dos) ? $do : '';

$key = 'platform';
$account_ticket_key = 'account_ticket';
if ($from == 'agent') {
    // 查询代理是否绑定域名
    $domain_info = Db::name("agent_site_domains")
        ->field('agentid')
        ->where(['domain_name' => $host, 'state' => 1, 'delete_time' => 0])
        ->find();

    if (!$domain_info) {
        exit('fail');
    }

    $key = 'platform_'.$domain_info['agentid'];
    $account_ticket_key = 'account_ticket_'.$domain_info['agentid'];
}

if ($do == 'ticket') {
    // 接收开放平台推送过来的ticket
    $post = file_get_contents('php://input');

    $encode_ticket = is_implexml_load_string($post, 'SimpleXMLElement', LIBXML_NOCDATA);

    if (empty($post) || empty($encode_ticket)) {
        exit('fail');
    }

    // 查询配置信息
    $setting = Db::name("core_settings")->field('value')->where(["key" => $key])->find();
    if (empty($setting['value'])) {
        exit('fail');
    }

    $setting = unserialize($setting['value']);

    //file_put_contents("open_log.txt", "查询配置信息.".json_encode($setting).PHP_EOL, FILE_APPEND);
    $decode_ticket = aes_decode($encode_ticket->Encrypt, $setting['encodingaeskey']);

    $ticket_xml = is_implexml_load_string($decode_ticket, 'SimpleXMLElement', LIBXML_NOCDATA);

    //file_put_contents("open_log.txt", "解密InfoType.".$ticket_xml->InfoType, FILE_APPEND);
    if (empty($ticket_xml)) {
        exit('fail');
    }

    if (!empty($ticket_xml->ComponentVerifyTicket) && $ticket_xml->InfoType == 'component_verify_ticket') {
        $ticket = strval($ticket_xml->ComponentVerifyTicket);
        $value = serialize($ticket);

        $core_cache = Db::name('core_cache')->field('value')->where('key', 'we7:' . $account_ticket_key)->find();
        if (empty($core_cache)) {
            // 插入数据
            $core_cache_data = ['key' => 'we7:' . $account_ticket_key, 'value' => $value];
            Db::name('core_cache')->insert($core_cache_data);
        } else {
            // 更新数据
            Db::name('core_cache')->where('key', 'we7:' . $account_ticket_key)->update(['value' => $value]);
        }
    }

    exit('success');
} elseif ($do == 'test') {
    $PlatformService = new \app\api\service\PlatformService($key);
    $res = $PlatformService->getRedirectUrl($host, $key);

    if ($res['code'] != 200) {
        exit($res['msg']);
    }

    $authurl = $res['info'];
    echo '<a href="'.$authurl.'&test=1"><img src="https://open.weixin.qq.com/zh_CN/htmledition/res/assets/res-design-download/icon_button3_2.png" /></a>';
} else {
    exit('fail');
}